Bug 111527 - Freezes randomly during rc.sysinit and while unmounting filesystems in halt
Freezes randomly during rc.sysinit and while unmounting filesystems in halt
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-04 16:44 EST by Adam Bertsch
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Bertsch 2003-12-04 16:44:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
Also with kernel-smp-2.4.22-1.2115.

System is Dell PowerEdge 1650 with dual 1.4ghz PIII CPUs.  RAM and
Motherboard have been replaced, and RedHat 9.0 installed to verify
functionality with Dell.  Only fails on Fedora Core.

The system will freeze at random points in rc.sysinit between "Finding
module dependencies:" and just after "Enabling swap space."  I have
also had it freeze during halt at the "Unmounting file systems:" step.

Unable to reproduce the bug with non-smp kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora Core on PowerEdge 1650 w/ dual processors.
2. Boot -- possible failure
3. Reboot -- possible failure

Actual Results:  System freezes at random points as described above.

Expected Results:  Normal boot.

Additional info:

Only able to reproduce on SMP kernel.

Seems to happen 50% of the time on kernel 2115, less often with 2129,
but this might just be my luck.
Comment 1 Ronny Buchmann 2004-01-17 16:25:10 EST
maybe duplicate of bug 109962
Comment 2 David Lawrence 2004-09-29 15:48:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.